package edu.prlab.tyler.iotgateway.cloud.services;

import edu.prlab.tyler.iotgateway.cloud.pojo.privacy.PrivacyChoice;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Service;

import java.util.Optional;
import java.util.stream.StreamSupport;

@Service
public class PrivacyChoiceService extends CrudService<PrivacyChoice, Long>{
    @Autowired
    public PrivacyChoiceService(CrudRepository<PrivacyChoice, Long> repository) {
        super(repository);
    }

    public Iterable<PrivacyChoice> readPrivacyChoiceByDevice(String udn) {
        return ()-> StreamSupport.stream(readll().spliterator(),false)
                    .filter(choice->choice.getPrivacyContent().getDevice().getUdn().equals(udn))
                    .iterator();
    }

}
